<?php
// -------------------------------------------
// kirby snippet FOR jannikbeyerstedt.de

// copyright: Jannik Beyerstedt | https://jannikbeyerstedt.de
// license: http://www.gnu.org/licenses/gpl-3.0.txt GPLv3 License
// -------------------------------------------

$subnav = false;
if ($page->depth() == 1) {
  $baseSec = $page;
  if ( $page->isVisible() && $baseSec->hasVisibleChildren() ) {
    $subnav = true;
  }
}else if ($page->depth() == 2) {
  $baseSec = $page->parent();
  if ( $page->isVisible() && $baseSec->hasVisibleChildren() ) {
    $subnav = true;
  }
}
?>

<div class="collapse hidden-sm-up" id="exCollapsingNavbar">
  <div class="bg-inverse p-a-1">
    <nav>
      <ul class="nav mobileNav">
      <?php foreach ($site->children()->visible() as $p) : ?>
        <a href="<?php echo $p->url()?>" <?php echo ($page == $p)?'class="active"':'' ?>><li><?php echo $p->title() ?></li></a>
        <?php if ($p->hasVisibleChildren()) : ?>
        <ul class="">
        <?php foreach ($p->children()->visible() as $c) : ?>
          <a href="<?php echo $c->url()?>" <?php echo ($page == $c)?'class="active"':'' ?>><li><?php echo $c->title() ?></li></a>
        <?php endforeach; ?>
        </ul>
        <?php endif; ?>
      <?php endforeach; ?>
      </ul>
    </nav>
  </div>
</div>

<header class="section">
  <div class="container">
    <?php if ($img = $site->images()->find($site->title_image())) : ?>
    <a class="logo" href="<?php echo url() ?>">
      <img src="<?php echo $site->title_image()->url() ?>" alt="Logo">
    </a>
    <?php endif; ?>

    <nav>
      <button class="navbar-toggler hidden-sm-up" type="button" data-toggle="collapse" data-target="#exCollapsingNavbar">
        Menü <i class="fa fa-bars"></i>
      </button>

      <ul class="nav hidden-xs-down <?php echo ($subnav)?'main':'home' ?>">
      <?php foreach ($site->children()->visible() as $p) : ?>
        <a href="<?php echo $p->url()?>" <?php echo ($page == $p || $page->parent() == $p)?'class="active"':'' ?>><li><?php echo $p->title() ?></li></a>
      <?php endforeach; ?>
      </ul>

<?php if($subnav) : ?>
      <ul class="nav hidden-xs-down second">
      <?php foreach ($baseSec->children()->visible() as $p) : ?>
        <a href="<?php echo $p->url()?>" <?php echo ($page == $p)?'class="active"':'' ?>><li><?php echo $p->title() ?></li></a>
      <?php endforeach; ?>
      </ul>
<?php endif; ?>
    </nav>
  </div>
</header>
